<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:37:08 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments.CommentsCollection (org.eclipse.papyrus.designer.languages.java.reverse 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments.CommentsCollection (org.eclipse.papyrus.designer.languages.java.reverse 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/CommentsCollection.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/class-use/CommentsCollection.html" target="_top">Frames</a></li>
<li><a href="CommentsCollection.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments.CommentsCollection" class="title">Uses of Class<br>org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments.CommentsCollection</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/CommentsCollection.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments">CommentsCollection</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/CommentsCollection.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments">CommentsCollection</a> in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments</a> that return <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/CommentsCollection.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments">CommentsCollection</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/CommentsCollection.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments">CommentsCollection</a></code></td>
<td class="colLast"><span class="typeNameLabel">CommentsCollection.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/CommentsCollection.html#minus-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments.CommentsCollection-">minus</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/CommentsCollection.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments">CommentsCollection</a>&nbsp;other)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/CommentsCollection.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments">CommentsCollection</a></code></td>
<td class="colLast"><span class="typeNameLabel">CommentsParser.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/CommentsParser.html#parse-java.io.InputStream-java.lang.String-">parse</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;in,
     <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charsetName)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/CommentsCollection.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments">CommentsCollection</a></code></td>
<td class="colLast"><span class="typeNameLabel">CommentsParser.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/CommentsParser.html#parse-java.lang.String-">parse</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;source)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments</a> with parameters of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/CommentsCollection.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments">CommentsCollection</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/CommentsCollection.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments">CommentsCollection</a></code></td>
<td class="colLast"><span class="typeNameLabel">CommentsCollection.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/CommentsCollection.html#minus-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments.CommentsCollection-">minus</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/CommentsCollection.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments">CommentsCollection</a>&nbsp;other)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/CommentsCollection.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/class-use/CommentsCollection.html" target="_top">Frames</a></li>
<li><a href="CommentsCollection.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
